### Function

# GLib Source remove_by_user_data

#### Declaration [src]

    gboolean
    g_source_remove_by_user_data (
      gpointer user_data
    )

#### Description [src]

Removes a source from the default main loop context given the user data for the callback.

If multiple sources exist with the same user data, only one will be destroyed.

#### Parameters

`user_data`

  Type: `gpointer`

  The user_data for the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True if a source was found and removed, false otherwise.